package com.factory.web.mapper.benteler;

import com.factory.web.entity.vo.res.benteler.PagePlanRes;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.factory.base.entity.po.benteler.BentelerIniVersion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 计划 - 版本信息
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-06-26 12:35:17
 */
@Mapper
public interface BentelerIniVersionMapper extends BaseMapper<BentelerIniVersion> {
    List<PagePlanRes> pageIniPlan(@Param("page") Page page);
	
}
