package com.factory.web.service.remote;

import com.factory.web.entity.vo.req.UserInsertReq;
import com.factory.web.entity.vo.req.UserLockReq;
import com.factory.web.entity.vo.req.UserPageQueryReq;
import com.factory.web.entity.vo.res.UserRes;
import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.po.remote.UserInfo;

import java.util.List;


public interface UserInfoService extends IService<UserInfo> {

    String getNameById(Long id);

    List<UserInfo> getListByNameOrNo(String word);

    ResponseBean<PageBean<UserRes>> selectUser(UserPageQueryReq userPageQueryReq);

    ResponseBean<String> insertUser(UserInsertReq userInsertReq);

    ResponseBean<String> updateUser(UserInsertReq userInsertReq);

    ResponseBean<String> userLock(UserLockReq userLockReq);
}
