package com.factory.base.entity.po.system;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("user_station")
public class UserStation {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 逻辑删除
     */
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;
    /**
     * 创建时间
     */
    private LocalDateTime createdTime;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 工位id
     */
    private Long stationId;
    /**
     * 部门id
     */
    private Long departmentId;

}