package com.factory.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.base.entity.constant.res.SystemConstant;
import com.factory.base.entity.po.remote.Workstation;
import com.factory.user.service.WorkStationService;
import com.factory.user.mapper.WorkstationMapper;
import org.springframework.stereotype.Service;


@Service
public class WorkStationServiceImpl extends ServiceImpl<WorkstationMapper, Workstation> implements WorkStationService {

    @Override
    public String geNameById(Long id) {
        String name = SystemConstant.EMPTY_STRING;
        if (id == null) {
            return name;
        }
        Workstation workstation = getById(id);
        if (workstation != null) {
            name = workstation.getName();
        }
        return name;
    }

}
