package com.factory.web.util.assembler;

import com.factory.base.entity.constant.res.SystemConstant;
import org.springframework.stereotype.Service;

@Service
public class IssueAssembler {

    // 停机问题状态(1待处理2处理中3已完成/关闭)
    public String statusToStatusValue(Integer status) {
        if (status == null) {
            return SystemConstant.EMPTY_STRING;
        }
        switch (status) {
            case 0:
                return "打开";
            case 1:
                return "关闭";
            default:
                return SystemConstant.EMPTY_STRING;
        }
    }
    // 停机问题状态(1待处理2处理中3已完成/关闭)
    public String solutionStatusToStatusValue(Integer status) {
        if (status == null) {
            return SystemConstant.EMPTY_STRING;
        }
        switch (status) {
            case 0:
                return "等待指派";
            case 1:
                return "待完成";
            case 2:
                return "处理中";
            case 3:
                return "已完成";
            default:
                return SystemConstant.EMPTY_STRING;
        }
    }



}
