package com.factory.base.entity.po;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


@Data
public class BaseSimpleNoVersionLockPo implements Serializable {

    public final static String DEFAULT_USERNAME = "system";

    public final static Long DEFAULT_USER_ID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField(fill = FieldFill.INSERT)
    private Long createdUserId;

    @TableField(fill = FieldFill.INSERT)
    private String createdUserName;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    @TableField(fill = FieldFill.UPDATE)
    private Long updatedUserId;

    @TableField(fill = FieldFill.UPDATE)
    private String updatedUserName;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updatedTime;

    private Long deletedUserId;

    private String deletedUserName;

    private LocalDateTime deletedTime;

    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;


}