package com.factory.base.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/2/14 15:20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BaseTypeReq extends BaseIdReq{
    @NotNull(message = "type不能为空")

    @ApiModelProperty(value = "1首件 2 200 3中断 ")
    private Long type;
}
