package com.factory.config.kafka;

import lombok.*;

import java.io.Serializable;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@EqualsAndHashCode
public class KafkaBaseMessage implements Serializable {

    private String id;

    private String token;
    //存JSON 然后根据各自业务需求转
    private String data;
    
}
