package com.factory.user.service;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.vo.BaseSelectVo;
import com.factory.base.entity.vo.UserInfoVo;
import com.factory.base.entity.vo.req.BaseIdNotValidReq;
import com.factory.base.entity.po.remote.UserInfo;
import com.factory.user.entity.vo.res.RoleListRes;
import com.factory.user.entity.vo.res.UserMenuRes;

import java.util.List;

public interface CommonService {

    UserInfoVo getLoginUserInfo();

    ResponseBean<List<BaseSelectVo>> getDept();

    ResponseBean<List<BaseSelectVo>> getDeptCode();

    ResponseBean<List<BaseSelectVo>> getStationByDeptId(BaseIdNotValidReq baseIdReq);


    ResponseBean<List<UserMenuRes>> userMenu();

    ResponseBean<List<RoleListRes>> roleList();

    String selectUserName(Long id);

    List<UserInfo> selectUserByRole(List<Long> roleList);
}
